Bug 307601 - (libHX) Review Request: libHX - General-purpose library (needed by recent pam_mount)
Review Request: libHX - General-purpose library (needed by recent pam_mount)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://jengelh.hopto.org/f/libHX/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 14:21 EDT by Till Maas
Modified: 2009-07-31 17:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 13:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-09-26 14:21:00 EDT
Spec URL: http://till.fedorapeople.org/review/libHX.spec
SRPM URL: http://till.fedorapeople.org/review/libHX-1.10.1-1.fc7.src.rpm
Description:

A library for:
- A+R/B trees to use for lists or maps (associative arrays)
- Deques (double-ended queues) (Stacks (LIFO) / Queues (FIFOs))
- platform independent opendir-style directory access
- platform independent dlopen-style shared library access
- auto-storage strings with direct access
- command line option (argv) parser
- shell-style config file parser
- platform independent random number generator with transparent
  /dev/urandom support
- various string, memory and zvec ops
Comment 1 Parag AN(पराग) 2007-09-26 23:27:06 EDT
Can we have some different wording in Summary?
Good to have examples in t installed as part of -devel package.
Comment 2 Till Maas 2007-09-27 09:11:49 EDT
(In reply to comment #1)
> Can we have some different wording in Summary?

Do you have a better idea? This summary is from upstream's spec that is in the
tarball.

> Good to have examples in t installed as part of -devel package.

Done.

SPEC: http://till.fedorapeople.org/review/libHX.spec
SRPM: http://till.fedorapeople.org/review/libHX-1.10.1-2.fc7.src.rpm
Comment 3 Parag AN(पराग) 2007-09-27 11:52:45 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Can we have some different wording in Summary?
> 
> Do you have a better idea? This summary is from upstream's spec that is in the
> tarball.
> 
  Not really. But I thought summary does not tell whats purpose of this package.
anyway if upstream follows it then we also use the same then.
 
> > Good to have examples in t installed as part of -devel package.
> 
> Done.
> 
> SPEC: http://till.fedorapeople.org/review/libHX.spec
> SRPM: http://till.fedorapeople.org/review/libHX-1.10.1-2.fc7.src.rpm

thanks
Comment 4 Parag AN(पराग) 2007-09-27 11:56:08 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
ae2c7ac182a03e589fd45a7867177a0a  libHX-1.10.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ libHX.pc files are present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig scriptlets are used.
+ libHX package ->
  Requires: libHX.so.10 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libdl.so.2 libdl.so.2(GLIBC_2.0)
libdl.so.2(GLIBC_2.1) rtld(GNU_HASH)
  Provides: libHX.so.10
+ libHX-devel package ->
  Requires: libHX = 1.10.1-1.fc8 libHX.so.10 pkgconfig
+ Not a GUI app.

APPROVED.
Comment 5 Till Maas 2007-09-27 12:08:09 EDT
Thank you very much for this fast review.

New Package CVS Request
=======================
Package Name: libHX
Short Description: General-purpose library
Owners: till
Branches: F-7
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-09-27 12:30:09 EDT
cvs done.
Comment 7 Till Maas 2007-09-27 13:39:23 EDT
Build for devel was successful.
http://koji.fedoraproject.org/koji/buildinfo?buildID=19734
Comment 8 Till Maas 2009-07-31 03:59:32 EDT
Package Change Request
======================
Package Name: libHX
New Branches: EL-5
Owners: till

If possible, please branch from devel, but this may be the default, because there is no FC-6 branch.
Comment 9 Jason Tibbitts 2009-07-31 17:16:23 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.